Page MenuHomePhabricator

Rewrite the login API to use AuthManager
Closed, ResolvedPublic

Details

Related Gerrit Patches:
mediawiki/core : REL1_27API changes for AuthManager
mediawiki/core : masterAPI changes for AuthManager

Related Objects

StatusAssignedTask
ResolvedDeskana
ResolvedAnomie
OpenNone
ResolvedAnomie
OpenNone
ResolvedTgr
ResolvedAnomie
OpenNone
OpenNone
ResolvedTgr
DeclinedNone
ResolvedAnomie
ResolvedAnomie
ResolvedJoe
ResolvedJoe
Resolvedhashar
Resolved bd808
ResolvedAnomie
ResolvedKrinkle
OpenNone
ResolvedJanZerebecki
ResolvedKrinkle
ResolvedTgr
ResolvedAnomie

Event Timeline

Tgr created this task.Aug 26 2015, 5:52 AM
Tgr raised the priority of this task from to Needs Triage.
Tgr updated the task description. (Show Details)
Tgr added a subscriber: Tgr.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 26 2015, 5:52 AM
Anomie claimed this task.Aug 26 2015, 2:26 PM
Anomie moved this task from Unsorted to Needs Code on the MediaWiki-API board.
Anomie set Security to None.
bd808 triaged this task as Medium priority.Aug 28 2015, 5:29 PM
bd808 added a subscriber: bd808.

Change 265201 had a related patch set uploaded (by Anomie):
WIP: API changes for AuthManager

https://gerrit.wikimedia.org/r/265201

Luke081515 added a subscriber: Luke081515.
Anomie moved this task from Needs Code to In Dev on the MediaWiki-API board.Feb 18 2016, 6:03 PM

Change 265201 merged by jenkins-bot:
API changes for AuthManager

https://gerrit.wikimedia.org/r/265201

Anomie closed this task as Resolved.May 16 2016, 7:22 PM

This is resolved now with the merge of the core AuthManager patches.

There's no timeframe for when this will be available on WMF wikis, though, beyond "soon". The next step will be to resolve T110282, then a gradual deploy while watching for things to break.

Change 289122 had a related patch set uploaded (by Gergő Tisza):
API changes for AuthManager

https://gerrit.wikimedia.org/r/289122

Change 289122 merged by jenkins-bot:
API changes for AuthManager

https://gerrit.wikimedia.org/r/289122